<?php
/**
 * PaginationTypeEnum
 *
 * PHP version 5
 *
 * @category Class
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */

/**
 * Ensi Customer Auth
 *
 * Клиентская авторизация
 *
 * The version of the OpenAPI document: 1.0.0
 * Contact: mail@greensight.ru
 * Generated by: https://openapi-generator.tech
 * OpenAPI Generator version: 4.3.1
 */

/**
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

namespace Ensi\CustomerAuthClient\Dto;
use \Ensi\CustomerAuthClient\ObjectSerializer;

/**
 * PaginationTypeEnum Class Doc Comment
 *
 * @category Class
 * @description Pagination types: * &#x60;cursor&#x60; - Пагинация используя cursor * &#x60;offset&#x60; - Пагинация используя offset
 * @package  Ensi\CustomerAuthClient
 * @author   OpenAPI Generator team
 * @link     https://openapi-generator.tech
 */
class PaginationTypeEnum
{
    /**
     * Possible values of this enum
     */
    const CURSOR = 'cursor';
    const OFFSET = 'offset';
    
    /**
     * Gets allowable values of the enum
     * @return string[]
     */
    public static function getAllowableEnumValues(): array
    {
        return [
            self::CURSOR,
            self::OFFSET,
        ];
    }
}


